mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

The XML representation of permissions is used to describe instances of permissions for code requests, declarative security permission sets, and security policy configuration.

You must implement this interface for any new permission object.

Defines the methods that convert permission object state to and from XML element representation.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Custom code that extends security objects needs to implement the and methods to make the objects security-encodable.

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement

  Custom code that extends security objects needs to implement the and methods to make the objects security-encodable.

  Creates an XML encoding of the security object and its current state.

  An XML encoding of the security object, including any state information.